Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_iseq_struct Struct Reference

`#include <vm_core.h>`

## Data Fields
VALUE | flags
VALUE | wrapper
struct rb_iseq_constant_body * | body
union {
struct iseq_compile_data * compile_data
struct {
VALUE obj
int index
} loader
struct {
struct rb_hook_list_struct * local_hooks
rb_event_flag_t global_trace_events
} exec
} | aux
union {
struct iseq_compile_data * compile_data
struct {
VALUE obj
int index
} loader
struct {
struct rb_hook_list_struct * local_hooks
rb_event_flag_t global_trace_events
} exec
} | aux

## Detailed Description

Definition at line 456 of file vm_core.h.

## Field Documentation

## ◆ aux [1/2]

union { ... } rb_iseq_struct::aux

Referenced by rb_ibf_load_iseq_complete(), rb_iseq_init_trace(), and rb_iseq_trace_set().

## ◆ aux [2/2]

union { ... } rb_iseq_struct::aux

## ◆ body

struct rb_iseq_constant_body * rb_iseq_struct::body

Definition at line 460 of file vm_core.h.

Referenced by rb_backtrace_use_iseq_first_lineno_for_last_location(), rb_dvar_defined(), rb_iseq_base_label(), rb_iseq_build_from_ary(), rb_iseq_code_location(), rb_iseq_first_lineno(), rb_iseq_free(), rb_iseq_ibf_dump(), rb_iseq_insns_info_encode_positions(), rb_iseq_label(), rb_iseq_mark(), rb_iseq_memsize(), rb_iseq_method_name(), rb_iseq_parameters(), rb_iseq_pathobj_set(), rb_iseq_trace_flag_cleared(), rb_iseq_trace_set(), rb_iseq_update_references(), rb_local_defined(), rb_resolve_me_location(), rb_simple_iseq_p(), and rb_vmdebug_debug_print_pre().

## ◆ compile_data

struct iseq_compile_data* rb_iseq_struct::compile_data

Definition at line 463 of file vm_core.h.

## ◆ exec [1/2]

struct { ... } rb_iseq_struct::exec

Referenced by rb_iseq_init_trace(), and rb_iseq_trace_set().

## ◆ exec [2/2]

struct { ... } rb_iseq_struct::exec

## ◆ flags

VALUE rb_iseq_struct::flags

Definition at line 457 of file vm_core.h.

## ◆ global_trace_events

rb_event_flag_t rb_iseq_struct::global_trace_events

Definition at line 472 of file vm_core.h.

## ◆ index

int rb_iseq_struct::index

Definition at line 467 of file vm_core.h.

## ◆ loader [1/2]

struct { ... } rb_iseq_struct::loader

Referenced by rb_ibf_load_iseq_complete().

## ◆ loader [2/2]

struct { ... } rb_iseq_struct::loader

## ◆ local_hooks

struct rb_hook_list_struct* rb_iseq_struct::local_hooks

Definition at line 471 of file vm_core.h.

## ◆ obj

VALUE rb_iseq_struct::obj

Definition at line 466 of file vm_core.h.

## ◆ wrapper

VALUE rb_iseq_struct::wrapper

Definition at line 458 of file vm_core.h.

Referenced by rb_iseq_mark().

The documentation for this struct was generated from the following files:

- vm_core.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h